# coding: utf-8
require 'uzuuzu-cms/model/user'

module UzuUzu
  class Movie
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial    
    property :file_name, String,
              :required => true,
              :length => 255
    property :extension, String,
              :required => true,
              :length => 255
    property :content_type, String,
              :required => true,
              :length => 255
    timestamps :updated_at
              
    if UzuUzu.gae?
      property :movie, Blob,
                :required => true,
                :length => 2 ** 32
    else
      property :movie, Binary,
                :required => true,
                :length => 2 ** 32
    end
    
    belongs_to :user
  end #Movie
  
  if auto_upgrade?
    repository do
      Movie.auto_upgrade!
    end
  end
end #UzuUzu
